{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Scrumptious Recipes</title>
  <link rel="stylesheet" href="{% static "css/list.css" %}">
</head>
<body>

  <header>
    <nav>
      <a href="{% url 'recipe_list' %}" class="home-link">Main page</a>
      {% if user.is_authenticated %}
      Hello, {{ user.username }}
      <a href="{% url 'user_logout' %}" class="home-link" >Logout</a>
    {% else %}
      <a href="{% url 'signup' %}" class="home-link">Sign up</a>
      <a href="{% url 'user_login' %}" class="home-link" >Login</a>
    {% endif %}
      {% comment %} <a href="{% url 'login' %}" class="home-link" >Login</a> {% endcomment %}
      <a href="{% url 'create_recipe' %}" class="home-link">Create Recipes</a>
    </nav>
  </header>

  <main>
    <h1>Scrumptious Recipes</h1>
    <h2>All the food that's fit to eat</h2>
    <div class="grid-container">
      {% for recipe in recipe_list %}
      <div class="grid-item">
        <h3>
          <a href="{% url 'show_recipe' recipe.id %}" target="_blank" class="links" data-replace="Yummy!"><span>{{ recipe.title }}</span></a>
        </h3>
        <p>{{ recipe.created_on| date:"F j Y"}}</p>
        <img src="{{ recipe.picture }}">
        <div class="ratings">4.3 stars</div>
        <p>
          Written By
          {{ recipe_object.author.username | default:"Dimitri" }}
        </p>
      </div>
      {% endfor %}
    </div>
  </main>

  <footer>
    Made by Dimitri Legaspi
  </footer>

</body>
</html>